Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZLinkItem Class Reference

## Public Member Functions
| __construct ( $id, $module)
| get ( $id)
| store ()
| delete ( $id=false, $module=false)
| fill ( $row)
| setSection ( $section)
| setName ( $name)
| setURL ( $url)
| id ()
| section ()
| name ()
| url ()
| type ( $as_name=false)
| setType ( $module, $type)
| moveUp ( $sectionid, $id, $module)
| moveDown ( $sectionid, $id, $module)

## Public Attributes
| $ID
| $Section
| $Name
| $URL
| $Placement
| $Module
| $ModuleType

## Detailed Description

! eZCommon The class eZLinkItem handles link items contained in a section.

Contains information on the name, the url and the type of link.

See also
  eZLinkSection, eZModuleLink

Definition at line 37 of file ezlinkitem.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZLinkItem::__construct | ( |  | $id,
|  |  | $module
| ) |  |

Initializes the link item with an id and a module name.

Definition at line 42 of file ezlinkitem.php.

References $id, $module, and fill().

## Member Function Documentation

## ◆ delete()

eZLinkItem::delete | ( |  | $id = `false`,
|  |  | $module = `false`
| ) |  |

Deletes the object from the database.

Definition at line 114 of file ezlinkitem.php.

References $db, $ID, $id, $module, $Module, $res, and eZDB\globalDatabase().

## ◆ fill()

eZLinkItem::fill | ( |  | $row | ) |

Fills in database information to the object.

Definition at line 133 of file ezlinkitem.php.

References $db, $row, eZDB\globalDatabase(), and Name.

Referenced by __construct(), and get().

## ◆ get()

eZLinkItem::get | ( |  | $id | ) |

Fetches information from the database using the id.

Definition at line 58 of file ezlinkitem.php.

References $db, $row, fill(), and eZDB\globalDatabase().

## ◆ id()

eZLinkItem::id | ( |  | ) |

Returns the id of the link item in the database.

Definition at line 170 of file ezlinkitem.php.

References $ID.

## ◆ moveDown()

eZLinkItem::moveDown | ( |  | $sectionid,
|  |  | $id,
|  |  | $module
| ) |  |

Moves the item down with wrapping.

Definition at line 291 of file ezlinkitem.php.

References $db, $items, $module, $res, and eZDB\globalDatabase().

## ◆ moveUp()

eZLinkItem::moveUp | ( |  | $sectionid,
|  |  | $id,
|  |  | $module
| ) |  |

Moves the item up with wrapping.

Definition at line 252 of file ezlinkitem.php.

References $db, $items, $module, $res, and eZDB\globalDatabase().

## ◆ name()

eZLinkItem::name | ( |  | ) |

Returns the name of the item.

Definition at line 186 of file ezlinkitem.php.

References $Name.

## ◆ section()

eZLinkItem::section | ( |  | ) |

Returns the section id.

Definition at line 178 of file ezlinkitem.php.

References $Section.

## ◆ setName()

eZLinkItem::setName | ( |  | $name | ) |

Sets the name of the link item.

Definition at line 154 of file ezlinkitem.php.

References $name, and Name.

## ◆ setSection()

eZLinkItem::setSection | ( |  | $section | ) |

Sets the section this link item is connected to.

Definition at line 146 of file ezlinkitem.php.

References $section.

## ◆ setType()

eZLinkItem::setType | ( |  | $module,
|  |  | $type
| ) |  |

Sets the type of the link item. It makes sure that only one entry is created for each unique module/type pair and sets the id of that type in this object.

Definition at line 223 of file ezlinkitem.php.

References $db, $res, $rows, and eZDB\globalDatabase().

## ◆ setURL()

eZLinkItem::setURL | ( |  | $url | ) |

Sets the url of the link item.

Definition at line 162 of file ezlinkitem.php.

References $url.

## ◆ store()

eZLinkItem::store | ( |  | ) |

Stores the information in the database.

Definition at line 69 of file ezlinkitem.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## ◆ type()

eZLinkItem::type | ( |  | $as_name = `false` | ) |

Returns the type id of the link item if $as_name is set to false, otherwise the module and type name is returned in an array.

Definition at line 203 of file ezlinkitem.php.

References $db, $ModuleType, $row, and eZDB\globalDatabase().

## ◆ url()

eZLinkItem::url | ( |  | ) |

Returns the url of the item.

Definition at line 194 of file ezlinkitem.php.

References $URL.

## Member Data Documentation

## ◆ $ID

eZLinkItem::$ID

Definition at line 327 of file ezlinkitem.php.

Referenced by delete(), and id().

## ◆ $Module

eZLinkItem::$Module

Definition at line 332 of file ezlinkitem.php.

Referenced by delete().

## ◆ $ModuleType

eZLinkItem::$ModuleType

Definition at line 333 of file ezlinkitem.php.

Referenced by type().

## ◆ $Name

eZLinkItem::$Name

Definition at line 329 of file ezlinkitem.php.

Referenced by name().

## ◆ $Placement

eZLinkItem::$Placement

Definition at line 331 of file ezlinkitem.php.

## ◆ $Section

eZLinkItem::$Section

Definition at line 328 of file ezlinkitem.php.

Referenced by section().

## ◆ $URL

eZLinkItem::$URL

Definition at line 330 of file ezlinkitem.php.

Referenced by url().

The documentation for this class was generated from the following file:

- ezlinkitem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.